### Hierarchy

- XmlAttributeComponent<IWrapTopAndBottomAttributes>
  - WrapTopAndBottomAttributes

## Index

### Constructors

- constructor

### Properties

- deleted
- root
- rootKey

### Accessors

- isDeleted

### Methods

- prepForXml
- set

### Object literals

- xmlKeys

## Constructors

### constructor

- new WrapTopAndBottomAttributes(properties: IWrapTopAndBottomAttributes): WrapTopAndBottomAttributes

- Inherited from XmlAttributeComponent.constructor

  Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:8

  #### Parameters

  - ##### properties: IWrapTopAndBottomAttributes

  #### Returns WrapTopAndBottomAttributes

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected root

root: IWrapTopAndBottomAttributes

Inherited from XmlAttributeComponent.root

- Defined in file/xml-components/default-attributes.ts:7

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

## Accessors

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlAttributeComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:15

  #### Returns IXmlableObject

### set

- set(properties: IWrapTopAndBottomAttributes): void

- Inherited from XmlAttributeComponent.set

  - Defined in file/xml-components/default-attributes.ts:27

  #### Parameters

  - ##### properties: IWrapTopAndBottomAttributes

  #### Returns void

## Object literals

### Protected xmlKeys

xmlKeys: object

Overrides XmlAttributeComponent.xmlKeys

- Defined in file/drawing/text-wrap/wrap-top-and-bottom.ts:11

### distB

distB: string = "distB"

- Defined in file/drawing/text-wrap/wrap-top-and-bottom.ts:13

### distT

distT: string = "distT"

- Defined in file/drawing/text-wrap/wrap-top-and-bottom.ts:12

Generated using TypeDoc